/*
 *  Copyright © 2016 Oracle and/or its affiliates. All rights reserved.
 *  This software is dual-licensed to you under the MIT License (MIT) and
 *  the Universal Permissive License (UPL). See the LICENSE file in the root
 *  directory for license terms. You may choose either license, or both.
 */

import Foundation

let kGWwvHeadline = "Beacon Sample"
let kProvHeadline = "Provisioning Information"
let kGWSecodLineSelect = "Select a Beacon"
let kGWSecodLineEddy = "Eddystone Beacon"
let kGWSecodLineIBeacon = "iBeacon"
let kStart = "START"
let kStop = "EXIT"
let kReset = "RESET"
let kCheck = "CHECK"
let kExit = "EXIT CTRL"

let kCurrentIBeaconRssiValue = "Received"
let kCurrentIBeaconMssiValue = "Signal Strength Measured"
let kCurrentIBeaconDistanceValue = "Distance"
let kCurrentEddyBeaconDistanceValue = "Distance"
let kCurrentEddystoneBeaconRssiValue = "Received"
let kCurrentEddystoneBeaconMssiValue = "Signal Strength Measured"
let kCurrentEddystoneBeaconTempValue = "Temperature"
let kCurrentEddystoneBeaconVoltValue = "Battery Voltage"
let kQuestionMark = "?"

let kOutput = "Output:"
let kNotAttached = ""
let kProvisionApp = "Provision Application"
let kProvFileLabel = "Provisioning File"
let kProvPasswLabel = "Password"
let kGateway = "Gateway"
let kProvisioningFailure = "The file name or password you've entered is incorrect."

var dataConnector: DataConnector? = nil
var stopped:Bool = false

// Needed by the loops in the event handler button actions below.
var timer1: Timer = Timer()

// List of beacons
var beaconList: Array<Beacon> = []

// Selected beacon
var selectedBeacon: Beacon!

var scanner: BeaconScanner?
